#!/bin/sh
set -eu

# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1034128
service memcached stop

trap "service memcached restart" EXIT

if [ -z "${AUTOPKGTEST_NORMAL_USER}" ]; then
    adduser --quiet --disabled-login --gecos '' cachelib
    AUTOPKGTEST_NORMAL_USER=cachelib
fi
chown "${AUTOPKGTEST_NORMAL_USER}:" "${AUTOPKGTEST_TMP}"

pyvers=$(py3versions --supported 2>/dev/null)

cp -a tests "$AUTOPKGTEST_TMP"
cd "$AUTOPKGTEST_TMP"

for py in ${pyvers}; do
    echo "=== $py ==="
    runuser -u "${AUTOPKGTEST_NORMAL_USER}" -- $py -m pytest -k 'not test_dynamodb and not test_mongodb'
done
